/*
  C++ UNIX I/O demo: binary file input.
  Read "demo" file in 10-byte chunks.
  
  Orion Sky Lawlor, olawlor@acm.org, 2006/03/01 (Public Domain)
*/
#include <iostream>
#include <fcntl.h> /* for UNIX "open" */

int main() {
	int fd=open("demo",O_RDONLY);
	if (fd<0) {std::cout<<"Can't open the file. Crap!"<<std::endl; return 0;}
	char buf[11];
	buf[10]=0;
	lseek(fd,0,SEEK_SET);
	while (10==read(fd,buf,10)) {
		std::cout<<"Read: "<<buf<<std::endl;
	}
	std::cout<<"File ended up at location "<<lseek(fd,0,SEEK_CUR)<<"\n";
	close(fd);
	return 0;
}
